Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface GridPositioning

All Known Subinterfaces:
  RectifiableGrid, RectifiedGrid, ReferenceableGrid

    @Extension
    public interface GridPositioning

This is an abstract supertype used to form the Positioning association between `Grid` and either `RectifiedGrid` or `ReferencableGrid`. Implementors should never make an instantiable implementation of this interface. The two child interfaces represent different levels of complexity for the referencing of gridded data. A `RectifiedGrid` object is capable of transforming coordinates through a simple affine transformation. A `ReferencableGrid` object encapsulates an operation of arbitrary complexity. This type does not exist in ISO 19123.

Method Summary
`CoordinateReferenceSystem` | `getCoordinateReferenceSystem()` Specifies the coordinate system into which this object transforms coordinates.
`Grid` | `getGrid()` Associates this `GridPositioning` object with a geometric description provided by the `Grid` object.
`Operation` | `getInverseOperation()` Associates this `GridPositioning` object with descriptive information about the coordinate operation it implements.
`Operation` | `getOperation()` Associates this `GridPositioning` object with descriptive information about the coordinate operation it implements.

Method Detail

### getCoordinateReferenceSystem

    @Extension
    CoordinateReferenceSystem getCoordinateReferenceSystem()

  Specifies the coordinate system into which this object transforms coordinates. ISO 19123 only specifies this association on the `ReferenceableGrid` type, but it is promoted to this superclass because it is required by both ReferenceableGrid and RectifiedGrid.

### getGrid

    @Extension
    Grid getGrid()

  Associates this `GridPositioning` object with a geometric description provided by the `Grid` object.

### getOperation

    @Extension
    Operation getOperation()

  Associates this `GridPositioning` object with descriptive information about the coordinate operation it implements. A `RectifiableGrid` (or child thereof) will be associated with a coordinate conversion operation, and a `ReferenceableGrid` will be associated with a coordinate transformation operation. All operations include a reference to a `MathTransform` object, which actually performs the corodinate conversion. The `targetCRS` association of the operation attribute is considered mandatory in this context.

### getInverseOperation

    @Extension
    Operation getInverseOperation()

  Associates this `GridPositioning` object with descriptive information about the coordinate operation it implements. A `RectifiableGrid` (or child thereof) will be associated with a coordinate conversion operation, and a `ReferencableGrid` will be associated with a coordinate transformation operation. All operations include a reference to a `MathTransform` object, which actually performs the corodinate conversion. The `targetCRS` association of the `inverseOperation` attribute is considered mandatory in this context. This attribute shall represent the `Operation` which is the inverse of the operation attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.